Bug 967250 - sagemath: Hardcoded Requires: maxima-runtime-ecl and ecl
sagemath: Hardcoded Requires: maxima-runtime-ecl and ecl
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sagemath (Show other bugs)
18
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 22:01 EDT by Kevin Kofler
Modified: 2013-12-21 12:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 12:39:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2013-05-25 22:01:10 EDT
Description of problem:
sagemath explicitly requires:
Requires:       ecl
Requires:       maxima-runtime-ecl
Do we really need that specific Maxima runtime? I see you're applying a patch which is supposed to make any runtime work. And as far as I can see in that patch, SAGE is actually just running maxima, which under Fedora will default to sbcl if installed.

Version-Release number of selected component (if applicable):
sagemath-5.9-5.fc18 and older
Comment 1 Paulo Andrade 2013-05-27 09:00:41 EDT
Actually it is linked to libecl:

$ rpm -q sagemath-core --requires | grep ecl
libecl.so.12.12()(64bit)

Upstream does not support other backends, but afaik it should
work with either, after applying my patches to work with
clisp and gcl (sbcl always "just" worked).

It also loads maxima as an ecl module from the
libecl interface:

$ egrep -i '\(require.*maxima' `rpm -ql sagemath-core` 2>/dev/null
/usr/lib64/python2.7/site-packages/sage/interfaces/maxima_lib.py:ecl_eval("(require 'maxima.system)")

I added an explicit maxima-runtime-ecl requires
because it is the only backend supported by upstream.
I am aware that the maxima package in fedora does not
have a "virtual" provides/requires of maxima-runtime,
and maxima-runtime-sbcl not only is the default, it
must always be installed, but I did not hardcode the
sagemath package to force using the ecl backend when
spawning maxima.
Comment 2 Fedora End Of Life 2013-12-21 08:43:59 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Kevin Kofler 2013-12-21 12:39:28 EST
Closing as NOTABUG per comment #1.

Note You need to log in before you can comment on or make changes to this bug.